Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81743 - neat crashes when attempting to add a new device
Summary: neat crashes when attempting to add a new device
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 17:38 UTC by Peter Fales
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-04 09:49:11 UTC


Attachments (Terms of Use)

Description Peter Fales 2003-01-13 17:38:28 UTC
Description of problem:

After doing a fresh install of RH 7.3, we used "neat" to add a new device. 
Selecting the "Devices" tab and clicking "Add" gives:


Please visit http://bugzilla.redhat.com/bugzilla/ !
File a bug against component redhat-config-network. Thank you!

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 473, in on_deviceAddButton_clicked
    interface = NewInterfaceDialog()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py",
line 82, in __init__
    iface = iface_creator (self.toplevel, do_save = None, druid = self.druid)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetInterface.py",
line 101, in __init__
    self.hwDruid = ethernetHardware(self.toplevel)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py",
line 64, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py",
line 118, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Version-Release number of selected component (if applicable):


How reproducible:

very

Steps to Reproduce:
1.  Start "neat"
2.  Select "Devices" tab
3.  Click "Add"


    
Actual results:

Python error



Expected results:


Additional info:

Comment 1 Peter Fales 2003-01-13 17:40:08 UTC
We get a similar error if the "Hardware" -> "Add" is selected.


Comment 2 Peter Fales 2003-01-13 23:04:29 UTC
One more data point:  Our standard install procedure is to install all the
packages from the CD, then apply all the appropriate RPMs from the "updates"
directory - that's what I was referrring to when I said that this is a freshly
installed 7.3 system.  I've verified that this problems occurrs on two different
installations (a laptop and a desktop), but it *doesn't* happen if I only
install the packages on the CD.  I'll try to track down which package update is 
causing the problem

Comment 3 Kyle Powell 2003-01-14 11:59:25 UTC
This seems to be related to the kernel-2.4.18-19.7.x, even if it's not the
currently running kernel. To duplicate, install redhat 7.3, up2date everything
except the kernel. Verify that neat still functions when selecting Devices tab
and clicking Add. Up2date kernel to 2.4.18-19.7.x. Run neat again and duplicate
the error (no need to boot the updated kernel, it will still break while running
the old kernel). rpm -e kernel-2.4.18-19.7.x and neat will again function correctly.

Comment 4 Peter Fales 2003-01-14 14:58:32 UTC
Yes, I was able to do exactly that.  Do you expect a fix?  Or, is the only
workaround to stick with the original kernel from the CD distribution?


Comment 5 Lynn Kerby 2003-01-14 21:53:54 UTC
FYI - users are seeing this too :^O.

This config stuff is really, really fragile.  I just did a fresh 7.3 install
from CDs (had to make new ones from iso downloads 'cause my boxed set cds
wouldn't work on this machine), configured my first network card (mostly by
hand/tweaked with neat).  All was well until I ran up2date and installed
all the available updates (ignoring the fact that the up2date installer is
brain dead about disk space for the moment).  Now anytime I attempt to touch
any ethernet related configuration component in neat I get crashes.

Here is just one sample:
Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 1248, in on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/neat", line 1269, in showHardwareDialog
    dialog = ethernetHardwareDialog(hw)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 75, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 135, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84cace8>

Comment 6 Harald Hoyer 2003-01-15 11:15:20 UTC
solution is, upgrade to:
ftp://people.redhat.com/pub/harald/redhat-config-network/1.0.3-1
until the errata update is through QA

Comment 7 Harald Hoyer 2004-06-04 09:49:11 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.